Subject: bug#20416: message about ACLOCAL_AMFLAGS

From: Vincent Lefevre <[email-masked]>
Date: Fri, 28 Sep 2018 10:31:22 +0200

reopen 20416
thanks

On 2018-09-27 19:00:06 +0200, Vincent Lefevre wrote:
> This seems to be fixed with the libtool 2.4.6-4 Debian package
> (and this doesn't seem to be due to a Debian patch)... or perhaps
> the incorrect message was due to some old thing in some file (or
> some other obscure reason): I no longer get the
> 
>   libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.

Actually, it isn't fixed. I forgot that I had added a

  ACLOCAL_AMFLAGS = -I m4

just to silence this warning. This workaround is annoying as it will
yield a warning with future Automake versions.

At least this libtoolize warning should not be given when one requires
Automake 1.13 at least (in which case AC_CONFIG_MACRO_DIRS is supported
and the ACLOCAL_AMFLAGS is necessarily useless).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)